﻿@page
@model DaysModel
@{
    ViewData["Title"] = "Kupka appka";
}

<div class="container">
        
        <form method="post">
             <div class="form-group">
            <input type="datetime-local" class="form-control" name="datetime"/><br/>
            <label for="comment"> comment:</label><br/>
            <input type="text" class="form-control" name="comment"/>
            </div>
            <div class="form-group">
            <div class="form-check form-switch form-check-inline">
                <label for="siku">siku</label>
                <input class="form-check-input form-control" type="checkbox" role="switch" id="siku" name="siku" value="true">
            </div>
            <div class="form-check form-switch form-check-inline">
                <label for="kupa"> kupa</label>
                <input class="form-check-input form-control" type="checkbox" role="switch" id="kupa" name="kupa" value="true">
             </div>
            <div class="form-check form-switch form-check-inline">
                <label for="karma_100g"> karma_100g</label>
                <input class="form-check-input form-control" type="checkbox" role="switch" id="karma_100g" name="karma_100g" value="true">
             </div>
            <div class="form-check form-switch form-check-inline">
                <label for="karma_200g"> karma_200g</label>
                <input class="form-check-input form-control" type="checkbox" role="switch" id="karma_200g" name="karma_200g" value="true">
             </div>
             </div>
             <div class="form-group">
             <div class="pt-3">
                <input type="submit" class="btn btn-primary"/>
             </div>
             </div>
    </form>
</div>
<div class="text-center">
<table class="table"> 
  <thead class="thead-dark">
    <tr class="d-flex">
      <th class="col-1" scope="col">action</th>
      <th class="col-3" scope="col">time</th>
      <th class="col-2" scope="col">Kupa</th>
      <th class="col-1" scope="col">Siku</th>
      <th class="col-6" scope="col">Comment</th>
    </tr>
  </thead>
  <tbody>
            @foreach (var dayitx in Model.items)
            {
              <tr class="d-flex">
                 <td class="col-3" colspan="2">@dayitx.Key.ToString("dd-MMMM")</td>
                 <td class="col-2"></td>
                 <td class="col-1"></td>
                 <td class="col-6"></td>
              </tr>
                @foreach(var itx in dayitx.Value)
                {
                  <tr class="d-flex">
                  <td class="col-1"><a href="/delete?Id=@itx.Id"> <img src="~/node_modules/bootstrap-icons/icons/trash.svg" alt="@itx.Id" width="16" height="16"></a>
                  </td>
                  <td class="col-2">@itx.datetime.ToString("HH:mm")</td>
                  <td class="col-2">@if(itx.kupa)
                        {
                            <img src="~/node_modules/bootstrap-icons/icons/check-circle.svg" alt="Bootstrap" width="32" height="32">
                        } else
                        {
                            <img src="~/node_modules/bootstrap-icons/icons/slash-circle.svg" alt="Bootstrap" width="32" height="32">
                        }
                  </td>
                    <td class="col-1">@if (itx.siku)
                        {
                            <img src="~/node_modules/bootstrap-icons/icons/check-circle.svg" alt="Bootstrap" width="32" height="32">
                        } else
                        {
                            <img src="~/node_modules/bootstrap-icons/icons/slash-circle.svg" alt="Bootstrap" width="32" height="32">
                        }
                  </td>
                  <td class="col-6">@itx.comment</td>
                </tr> 
                }
            }
    </tbody>
    </table>
</div>